Page MenuHomeFreeBSD

ix(4), ixv(4): Add VLAN tag strip check when receiving packets; ixv(4): Fix support for VLAN_HWTAGGING and VLAN_HWFILTER flags
ClosedPublic

Authored by piotr.pietruszewski_intel.com on Sep 6 2018, 10:48 AM.

Details

Summary

This change will prevent driver from passing VLAN tags when
interface configuration is not expecting them. VF driver will
check for VLAN_HWTAGGING and VLAN_HWFILTER flags and act adequately.

This patch resolves problem occuring on EC2 platforms.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

cperciva accepted this revision.Sep 7 2018, 6:32 PM

Works in all of my testing. Please commit!

Tested with a RHEL7.4 host w/ KVM using both port and host-based VLANs w/ 9710 MTU.

This revision is now accepted and ready to land.Sep 11 2018, 1:19 PM
This revision was automatically updated to reflect the committed changes.